#pragma once

#include <AuswahlBox.h>
#include <UIInitialization.h>
#include "../../Netzwerk/EditorKlient.h"

using namespace Framework;

class RightTool : public Zeichnung
{
public:
    RightTool();
    virtual ~RightTool();
    virtual void renderDialogs( Bild &rObj );
};

class RightTools : public ZeichnungHintergrund
{
private:
    AuswahlBox *toolAuswahl;
    RCArray< RightTool > *tools;
    Punkt maxSize;

public:
    RightTools( UIInit &uiFactory, Punkt maxSize );
    ~RightTools();
    void addTool( RightTool *tool, char *name );
    void doPublicMausEreignis( MausEreignis &me ) override;
    void doTastaturEreignis( TastaturEreignis &te ) override;
    bool tick( double tickVal ) override;
    void render( Bild &rObj ) override;
    void selectTool( int index );
};