#ifndef Initialisierung_H
#define Initialisierung_H

#include <Knopf.h>
#include <Fenster.h>
#include <TextFeld.h>
#include <Schrift.h>
#include <Bild.h>
#include <AuswahlBox.h>
#include <Tabelle.h>
#include <initializer_list>
#include <UIInitialization.h>

using namespace Framework;

struct OBJTabelleSpalteIni
{
    char *name;
    int breite;
    int minBreite;
    int maxBreite;
};

Knopf *initKnopf( int x, int y, int br, int h, UIInit &uiFactory, int style, char *titel );
KontrollKnopf *initKontrollKnopf( int x, int y, int br, int h, UIInit &uiFactory, int style, char *txt );
Fenster *initFenster( int x, int y, int br, int h, UIInit &uiFactory, int style, char *titel );
TextFeld *initTextFeld( int x, int y, int br, int h, UIInit &uiFactory, int style, char *txt );
BildZ *initBildZ( int x, int y, int br, int h, UIInit &uiFactory, int style, Bild *b );
AuswahlBox *initAuswahlBox( int x, int y, int br, int h, UIInit &uiFactory, __int64 style, std::initializer_list< char * > values );
ObjTabelle *initObjTabelle( int x, int y, int br, int h, UIInit &uiFactory, int style, std::initializer_list< OBJTabelleSpalteIni > spalten, int berschriftHhe );

#endif