#include "STKNachricht.h"

// Inhalt der STKNachricht Klasse aus STKNachricht.h
// Konstruktor
STKNachricht::STKNachricht( int ln, char *nachricht )
    : ReferenceCounter()
{
    verarbeitet = 0;
    spielZeit = *(int *)nachricht;
    this->ln = ln - 4;
    this->nachricht = new char[ this->ln ];
    for( int i = 0; i < this->ln; i++ )
        this->nachricht[ i ] = nachricht[ i + 4 ];
}

// Destruktor
STKNachricht::~STKNachricht()
{
    delete[] nachricht;
}

// nicht constant
void STKNachricht::setVerarbeitet()
{
    verarbeitet = 1;
}

// constant
bool STKNachricht::istVerarbeitet() const
{
    return verarbeitet;
}

int STKNachricht::getSpielZeit() const
{
    return spielZeit;
}

int STKNachricht::getLength() const
{
    return ln;
}

char *STKNachricht::getNachricht() const
{
    return nachricht;
}