#ifndef Ende_H
#define Ende_H

#include <Knopf.h>
#include <Rahmen.h>
#include <UIInitialization.h>

using namespace Framework;

class Ende : public virtual ReferenceCounter
{
private:
    LRahmen *rahmen;
    TextFeld *text;
    TextFeld *warten;
    Knopf *ok;
    bool weiter;

public:
    // Konstruktor
    Ende( UIInit &uiFactory );
    // Destruktor
    ~Ende();
    // nicht constant
    void setGewonnen( char gewonnen );
    void doTastaturEreignis( TastaturEreignis &te );
    void doPublicMausEreignis( MausEreignis &me );
    void render( Bild &zRObj );
    // constant
    bool getWeiter() const;
};

#endif